package me.Demon.BlockWars.Listener;

import me.Demon.BlockWars.Game.GameData;
import me.Demon.BlockWars.Main;
import org.bukkit.GameMode;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.scheduler.BukkitRunnable;

public class JoinEvent implements Listener {

    @EventHandler(priority= EventPriority.HIGHEST)
    public void onJoinItems(PlayerJoinEvent e) {
        Player p = e.getPlayer();
        p.setGameMode(GameMode.CREATIVE);
        new BukkitRunnable() {
            public void run() {
                GameData game = Main.gameData;
                if(!game.isStarted()) {
                    game.startGame();
                }
                game.initializePlayerData(p);
                cancel();
            }
        }.runTaskLater(Main.plugin, 20L);
    }
}
