package me.Demon.BlockWars.Eventi;

import me.Demon.BlockWars.Game.GameData;
import me.Demon.BlockWars.Game.Region;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

public class MinerChangeEvent extends Event {

    private static HandlerList handlers = new HandlerList();
    private final GameData game;
    private final Region region;
    private final String eventType;

    @Override
    public HandlerList getHandlers() {
        return handlers;
    }

    public static HandlerList getHandlerList() {
        return handlers;
    }
    public MinerChangeEvent(GameData game, Region region,String eventType) {
        this.game = game;
        this.region = region;
        this.eventType = eventType;
    }

    public GameData getGame() {
        return game;
    }

    public Region getRegion() {
        return region;
    }

    public String getEventType() {
        return eventType;
    }
}
