package me.Demon.BlockWars;

import me.Demon.BlockWars.Game.GameData;
import me.Demon.BlockWars.Listener.GameListener;
import me.Demon.BlockWars.Listener.GamePotect;
import me.Demon.BlockWars.Listener.JoinEvent;
import me.Demon.BlockWars.Listener.MinerChange;
import me.Demon.BlockWars.Manager.MinerOperate;
import me.Demon.BlockWars.Util.ConfigYml;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.plugin.java.JavaPlugin;

public class Main extends JavaPlugin {

    public static boolean Debug = false;
    public static Main plugin;
    public static GameData gameData;
    public static ConfigYml configYml;


    @Override
    public void onEnable() {
        plugin = this;
        saveDefaultConfig();
        configYml = new ConfigYml();
        gameData = new GameData();

        getServer().getPluginManager().registerEvents(new JoinEvent(),this);
        getServer().getPluginManager().registerEvents(new MinerChange(),this);
        getServer().getPluginManager().registerEvents(new GamePotect(),this);
        getServer().getPluginManager().registerEvents(new GameListener(),this);
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String Command, String[] args) {
        if (Command.equalsIgnoreCase("game")) {
            if(args[0].equalsIgnoreCase("test1")){
                MinerOperate.clearMinerAll(Main.gameData.getBlockRegionList());
            }
            if(args[0].equalsIgnoreCase("test2")){
                MinerOperate.fillMinerAll(Main.gameData.getBlockRegionList());
            }
        }
        return false;
    }
}
